petsc-3.12.1 2019-10-22
Report Typos and Errors

# VecRestoreArray

Restores a vector after VecGetArray() has been called.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecRestoreArray(Vec x,PetscScalar **a)

Logically Collective on Vec

### Input Parameters

| x | - the vector
| a | - location of pointer to array obtained from VecGetArray()

### See Also

VecGetArray(), VecRestoreArrayRead(), VecRestoreArrays(), VecRestoreArrayF90(), VecRestoreArrayReadF90(), VecPlaceArray(), VecRestoreArray2d(),
VecGetArrayPair(), VecRestoreArrayPair()

### Level

beginner

### Location

src/vec/vec/interface/rvector.c

### Examples

src/vec/vec/utils/tagger/examples/tutorials/ex1.c.html
src/vec/vec/examples/tutorials/ex3.c.html
src/vec/vec/examples/tutorials/ex6.c.html
src/vec/vec/examples/tutorials/ex9.c.html
src/vec/vec/examples/tutorials/ex18.c.html
src/vec/vec/examples/tutorials/ex19.c.html
src/vec/vec/examples/tutorials/ex21.c.html
src/vec/vec/examples/tutorials/ex4f.F.html
src/vec/vec/examples/tutorials/ex4f90.F90.html
src/vec/is/sf/examples/tutorials/ex2.c.html
src/dm/examples/tutorials/ex5.c.html

### Implementations

VecRestoreArray_Nest in src/vec/vec/impls/nest/vecnest.c
VecRestoreArray_Node in src/vec/vec/impls/node/vecnode.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages